/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let DataToolTipLayerDescription = /*@__PURE__*/ (() => {
    class DataToolTipLayerDescription extends AnnotationLayerDescription {
        get_type() {
            return "DataToolTipLayer";
        }
        constructor() {
            super();
            this.lz = null;
            this.gs = false;
            this.kv = null;
            this.kr = null;
            this.hw = 0;
            this.hx = 0;
            this.g7 = 0;
            this.g8 = 0;
            this.kt = null;
            this.kp = null;
            this.ku = null;
            this.kq = null;
            this.gr = false;
            this.gh = null;
            this.ge = null;
            this.gg = null;
            this.gd = null;
            this.ma = null;
            this.kl = 0;
            this.km = 0;
            this.mc = null;
            this.mb = null;
            this.gt = false;
            this.md = null;
            this.gi = null;
            this.il = 0;
            this.im = 0;
            this.io = 0;
            this.ip = 0;
            this.gu = false;
            this.mi = null;
            this.gv = false;
            this.ir = 0;
            this.is = 0;
            this.it = 0;
            this.iu = 0;
            this.me = null;
            this.mf = null;
            this.iq = 0;
            this.mg = null;
            this.mh = null;
            this.k2 = null;
            this.gf = null;
            this.k0 = null;
            this.k1 = null;
            this.k3 = null;
            this.k4 = null;
            this.k5 = null;
            this.hn = 0;
            this.ho = 0;
            this.hp = 0;
            this.hq = 0;
            this.hi = 0;
            this.hj = 0;
            this.hk = 0;
            this.hl = 0;
            this.gq = false;
            this.k6 = null;
            this.hm = 0;
            this.k7 = null;
            this.k8 = null;
            this.gp = false;
            this.kw = null;
            this.he = 0;
            this.hf = 0;
            this.hg = 0;
            this.hh = 0;
            this.g9 = 0;
            this.ha = 0;
            this.hb = 0;
            this.hc = 0;
            this.kx = null;
            this.hd = 0;
            this.ky = null;
            this.kz = null;
            this.ll = null;
            this.lm = null;
            this.h3 = 0;
            this.ln = null;
            this.lo = null;
            this.lp = null;
            this.lk = null;
            this.h4 = 0;
            this.h5 = 0;
            this.h6 = 0;
            this.h7 = 0;
            this.hz = 0;
            this.h0 = 0;
            this.h1 = 0;
            this.h2 = 0;
            this.lv = null;
            this.lw = null;
            this.h9 = 0;
            this.lx = null;
            this.ly = null;
            this.lf = null;
            this.lg = null;
            this.lh = null;
            this.hy = 0;
            this.li = null;
            this.lj = null;
            this.lq = null;
            this.lr = null;
            this.ls = null;
            this.h8 = 0;
            this.lt = null;
            this.lu = null;
            this.g3 = 0;
            this.g4 = 0;
            this.g5 = 0;
            this.g6 = 0;
            this.ks = null;
            this.le = null;
            this.l4 = null;
            this.l5 = null;
            this.l6 = null;
            this.ih = 0;
            this.ii = 0;
            this.ij = 0;
            this.ik = 0;
            this.l7 = null;
            this.ig = 0;
            this.l8 = null;
            this.l9 = null;
            this.ib = 0;
            this.ic = 0;
            this.id = 0;
            this.ie = 0;
            this.l0 = null;
            this.l1 = null;
            this.ia = 0;
            this.l2 = null;
            this.l3 = null;
            this.k9 = null;
            this.la = null;
            this.hs = 0;
            this.ht = 0;
            this.hu = 0;
            this.hv = 0;
            this.lb = null;
            this.hr = 0;
            this.lc = null;
            this.ld = null;
        }
        get targetAxisRef() {
            return this.lz;
        }
        set targetAxisRef(a) {
            this.lz = a;
            this.g("TargetAxisRef");
        }
        get useInterpolation() {
            return this.gs;
        }
        set useInterpolation(a) {
            this.gs = a;
            this.g("UseInterpolation");
        }
        get groupingMode() {
            return this.kv;
        }
        set groupingMode(a) {
            this.kv = a;
            this.g("GroupingMode");
        }
        get actualGroupingMode() {
            return this.kr;
        }
        set actualGroupingMode(a) {
            this.kr = a;
            this.g("ActualGroupingMode");
        }
        get positionOffsetX() {
            return this.hw;
        }
        set positionOffsetX(a) {
            this.hw = a;
            this.g("PositionOffsetX");
        }
        get positionOffsetY() {
            return this.hx;
        }
        set positionOffsetY(a) {
            this.hx = a;
            this.g("PositionOffsetY");
        }
        get defaultPositionOffsetX() {
            return this.g7;
        }
        set defaultPositionOffsetX(a) {
            this.g7 = a;
            this.g("DefaultPositionOffsetX");
        }
        get defaultPositionOffsetY() {
            return this.g8;
        }
        set defaultPositionOffsetY(a) {
            this.g8 = a;
            this.g("DefaultPositionOffsetY");
        }
        get groupedPositionModeX() {
            return this.kt;
        }
        set groupedPositionModeX(a) {
            this.kt = a;
            this.g("GroupedPositionModeX");
        }
        get actualGroupedPositionModeX() {
            return this.kp;
        }
        set actualGroupedPositionModeX(a) {
            this.kp = a;
            this.g("ActualGroupedPositionModeX");
        }
        get groupedPositionModeY() {
            return this.ku;
        }
        set groupedPositionModeY(a) {
            this.ku = a;
            this.g("GroupedPositionModeY");
        }
        get actualGroupedPositionModeY() {
            return this.kq;
        }
        set actualGroupedPositionModeY(a) {
            this.kq = a;
            this.g("ActualGroupedPositionModeY");
        }
        get shouldUpdateWhenSeriesDataChanges() {
            return this.gr;
        }
        set shouldUpdateWhenSeriesDataChanges(a) {
            this.gr = a;
            this.g("ShouldUpdateWhenSeriesDataChanges");
        }
        get includedSeries() {
            return this.gh;
        }
        set includedSeries(a) {
            this.gh = a;
            this.g("IncludedSeries");
        }
        get excludedSeries() {
            return this.ge;
        }
        set excludedSeries(a) {
            this.ge = a;
            this.g("ExcludedSeries");
        }
        get includedColumns() {
            return this.gg;
        }
        set includedColumns(a) {
            this.gg = a;
            this.g("IncludedColumns");
        }
        get excludedColumns() {
            return this.gd;
        }
        set excludedColumns(a) {
            this.gd = a;
            this.g("ExcludedColumns");
        }
        get valueFormatAbbreviation() {
            return this.ma;
        }
        set valueFormatAbbreviation(a) {
            this.ma = a;
            this.g("ValueFormatAbbreviation");
        }
        get valueFormatMaxFractions() {
            return this.kl;
        }
        set valueFormatMaxFractions(a) {
            this.kl = a;
            this.g("ValueFormatMaxFractions");
        }
        get valueFormatMinFractions() {
            return this.km;
        }
        set valueFormatMinFractions(a) {
            this.km = a;
            this.g("ValueFormatMinFractions");
        }
        get valueFormatMode() {
            return this.mc;
        }
        set valueFormatMode(a) {
            this.mc = a;
            this.g("ValueFormatMode");
        }
        get valueFormatCulture() {
            return this.mb;
        }
        set valueFormatCulture(a) {
            this.mb = a;
            this.g("ValueFormatCulture");
        }
        get valueFormatUseGrouping() {
            return this.gt;
        }
        set valueFormatUseGrouping(a) {
            this.gt = a;
            this.g("ValueFormatUseGrouping");
        }
        get valueFormatString() {
            return this.md;
        }
        set valueFormatString(a) {
            this.md = a;
            this.g("ValueFormatString");
        }
        get valueFormatSpecifiers() {
            return this.gi;
        }
        set valueFormatSpecifiers(a) {
            this.gi = a;
            this.g("ValueFormatSpecifiers");
        }
        get valueRowMarginBottom() {
            return this.il;
        }
        set valueRowMarginBottom(a) {
            this.il = a;
            this.g("ValueRowMarginBottom");
        }
        get valueRowMarginLeft() {
            return this.im;
        }
        set valueRowMarginLeft(a) {
            this.im = a;
            this.g("ValueRowMarginLeft");
        }
        get valueRowMarginRight() {
            return this.io;
        }
        set valueRowMarginRight(a) {
            this.io = a;
            this.g("ValueRowMarginRight");
        }
        get valueRowMarginTop() {
            return this.ip;
        }
        set valueRowMarginTop(a) {
            this.ip = a;
            this.g("ValueRowMarginTop");
        }
        get valueRowVisible() {
            return this.gu;
        }
        set valueRowVisible(a) {
            this.gu = a;
            this.g("ValueRowVisible");
        }
        get valueTextWhenMissingData() {
            return this.mi;
        }
        set valueTextWhenMissingData(a) {
            this.mi = a;
            this.g("ValueTextWhenMissingData");
        }
        get valueTextUseSeriesColors() {
            return this.gv;
        }
        set valueTextUseSeriesColors(a) {
            this.gv = a;
            this.g("ValueTextUseSeriesColors");
        }
        get valueTextMarginBottom() {
            return this.ir;
        }
        set valueTextMarginBottom(a) {
            this.ir = a;
            this.g("ValueTextMarginBottom");
        }
        get valueTextMarginLeft() {
            return this.is;
        }
        set valueTextMarginLeft(a) {
            this.is = a;
            this.g("ValueTextMarginLeft");
        }
        get valueTextMarginRight() {
            return this.it;
        }
        set valueTextMarginRight(a) {
            this.it = a;
            this.g("ValueTextMarginRight");
        }
        get valueTextMarginTop() {
            return this.iu;
        }
        set valueTextMarginTop(a) {
            this.iu = a;
            this.g("ValueTextMarginTop");
        }
        get valueTextColor() {
            return this.me;
        }
        set valueTextColor(a) {
            this.me = a;
            this.g("ValueTextColor");
        }
        get valueTextFontFamily() {
            return this.mf;
        }
        set valueTextFontFamily(a) {
            this.mf = a;
            this.g("ValueTextFontFamily");
        }
        get valueTextFontSize() {
            return this.iq;
        }
        set valueTextFontSize(a) {
            this.iq = a;
            this.g("ValueTextFontSize");
        }
        get valueTextFontStyle() {
            return this.mg;
        }
        set valueTextFontStyle(a) {
            this.mg = a;
            this.g("ValueTextFontStyle");
        }
        get valueTextFontWeight() {
            return this.mh;
        }
        set valueTextFontWeight(a) {
            this.mh = a;
            this.g("ValueTextFontWeight");
        }
        get headerFormatString() {
            return this.k2;
        }
        set headerFormatString(a) {
            this.k2 = a;
            this.g("HeaderFormatString");
        }
        get headerFormatSpecifiers() {
            return this.gf;
        }
        set headerFormatSpecifiers(a) {
            this.gf = a;
            this.g("HeaderFormatSpecifiers");
        }
        get headerFormatCulture() {
            return this.k0;
        }
        set headerFormatCulture(a) {
            this.k0 = a;
            this.g("HeaderFormatCulture");
        }
        get headerFormatDate() {
            return this.k1;
        }
        set headerFormatDate(a) {
            this.k1 = a;
            this.g("HeaderFormatDate");
        }
        get headerFormatTime() {
            return this.k3;
        }
        set headerFormatTime(a) {
            this.k3 = a;
            this.g("HeaderFormatTime");
        }
        get headerText() {
            return this.k4;
        }
        set headerText(a) {
            this.k4 = a;
            this.g("HeaderText");
        }
        get headerTextColor() {
            return this.k5;
        }
        set headerTextColor(a) {
            this.k5 = a;
            this.g("HeaderTextColor");
        }
        get headerTextMarginBottom() {
            return this.hn;
        }
        set headerTextMarginBottom(a) {
            this.hn = a;
            this.g("HeaderTextMarginBottom");
        }
        get headerTextMarginLeft() {
            return this.ho;
        }
        set headerTextMarginLeft(a) {
            this.ho = a;
            this.g("HeaderTextMarginLeft");
        }
        get headerTextMarginRight() {
            return this.hp;
        }
        set headerTextMarginRight(a) {
            this.hp = a;
            this.g("HeaderTextMarginRight");
        }
        get headerTextMarginTop() {
            return this.hq;
        }
        set headerTextMarginTop(a) {
            this.hq = a;
            this.g("HeaderTextMarginTop");
        }
        get headerRowMarginBottom() {
            return this.hi;
        }
        set headerRowMarginBottom(a) {
            this.hi = a;
            this.g("HeaderRowMarginBottom");
        }
        get headerRowMarginLeft() {
            return this.hj;
        }
        set headerRowMarginLeft(a) {
            this.hj = a;
            this.g("HeaderRowMarginLeft");
        }
        get headerRowMarginRight() {
            return this.hk;
        }
        set headerRowMarginRight(a) {
            this.hk = a;
            this.g("HeaderRowMarginRight");
        }
        get headerRowMarginTop() {
            return this.hl;
        }
        set headerRowMarginTop(a) {
            this.hl = a;
            this.g("HeaderRowMarginTop");
        }
        get headerRowVisible() {
            return this.gq;
        }
        set headerRowVisible(a) {
            this.gq = a;
            this.g("HeaderRowVisible");
        }
        get headerTextFontFamily() {
            return this.k6;
        }
        set headerTextFontFamily(a) {
            this.k6 = a;
            this.g("HeaderTextFontFamily");
        }
        get headerTextFontSize() {
            return this.hm;
        }
        set headerTextFontSize(a) {
            this.hm = a;
            this.g("HeaderTextFontSize");
        }
        get headerTextFontStyle() {
            return this.k7;
        }
        set headerTextFontStyle(a) {
            this.k7 = a;
            this.g("HeaderTextFontStyle");
        }
        get headerTextFontWeight() {
            return this.k8;
        }
        set headerTextFontWeight(a) {
            this.k8 = a;
            this.g("HeaderTextFontWeight");
        }
        get groupRowVisible() {
            return this.gp;
        }
        set groupRowVisible(a) {
            this.gp = a;
            this.g("GroupRowVisible");
        }
        get groupTextColor() {
            return this.kw;
        }
        set groupTextColor(a) {
            this.kw = a;
            this.g("GroupTextColor");
        }
        get groupTextMarginBottom() {
            return this.he;
        }
        set groupTextMarginBottom(a) {
            this.he = a;
            this.g("GroupTextMarginBottom");
        }
        get groupTextMarginLeft() {
            return this.hf;
        }
        set groupTextMarginLeft(a) {
            this.hf = a;
            this.g("GroupTextMarginLeft");
        }
        get groupTextMarginRight() {
            return this.hg;
        }
        set groupTextMarginRight(a) {
            this.hg = a;
            this.g("GroupTextMarginRight");
        }
        get groupTextMarginTop() {
            return this.hh;
        }
        set groupTextMarginTop(a) {
            this.hh = a;
            this.g("GroupTextMarginTop");
        }
        get groupRowMarginBottom() {
            return this.g9;
        }
        set groupRowMarginBottom(a) {
            this.g9 = a;
            this.g("GroupRowMarginBottom");
        }
        get groupRowMarginLeft() {
            return this.ha;
        }
        set groupRowMarginLeft(a) {
            this.ha = a;
            this.g("GroupRowMarginLeft");
        }
        get groupRowMarginRight() {
            return this.hb;
        }
        set groupRowMarginRight(a) {
            this.hb = a;
            this.g("GroupRowMarginRight");
        }
        get groupRowMarginTop() {
            return this.hc;
        }
        set groupRowMarginTop(a) {
            this.hc = a;
            this.g("GroupRowMarginTop");
        }
        get groupTextFontFamily() {
            return this.kx;
        }
        set groupTextFontFamily(a) {
            this.kx = a;
            this.g("GroupTextFontFamily");
        }
        get groupTextFontSize() {
            return this.hd;
        }
        set groupTextFontSize(a) {
            this.hd = a;
            this.g("GroupTextFontSize");
        }
        get groupTextFontStyle() {
            return this.ky;
        }
        set groupTextFontStyle(a) {
            this.ky = a;
            this.g("GroupTextFontStyle");
        }
        get groupTextFontWeight() {
            return this.kz;
        }
        set groupTextFontWeight(a) {
            this.kz = a;
            this.g("GroupTextFontWeight");
        }
        get summaryTitleTextColor() {
            return this.ll;
        }
        set summaryTitleTextColor(a) {
            this.ll = a;
            this.g("SummaryTitleTextColor");
        }
        get summaryTitleTextFontFamily() {
            return this.lm;
        }
        set summaryTitleTextFontFamily(a) {
            this.lm = a;
            this.g("SummaryTitleTextFontFamily");
        }
        get summaryTitleTextFontSize() {
            return this.h3;
        }
        set summaryTitleTextFontSize(a) {
            this.h3 = a;
            this.g("SummaryTitleTextFontSize");
        }
        get summaryTitleTextFontStyle() {
            return this.ln;
        }
        set summaryTitleTextFontStyle(a) {
            this.ln = a;
            this.g("SummaryTitleTextFontStyle");
        }
        get summaryTitleTextFontWeight() {
            return this.lo;
        }
        set summaryTitleTextFontWeight(a) {
            this.lo = a;
            this.g("SummaryTitleTextFontWeight");
        }
        get summaryType() {
            return this.lp;
        }
        set summaryType(a) {
            this.lp = a;
            this.g("SummaryType");
        }
        get summaryTitleText() {
            return this.lk;
        }
        set summaryTitleText(a) {
            this.lk = a;
            this.g("SummaryTitleText");
        }
        get summaryTitleTextMarginBottom() {
            return this.h4;
        }
        set summaryTitleTextMarginBottom(a) {
            this.h4 = a;
            this.g("SummaryTitleTextMarginBottom");
        }
        get summaryTitleTextMarginLeft() {
            return this.h5;
        }
        set summaryTitleTextMarginLeft(a) {
            this.h5 = a;
            this.g("SummaryTitleTextMarginLeft");
        }
        get summaryTitleTextMarginRight() {
            return this.h6;
        }
        set summaryTitleTextMarginRight(a) {
            this.h6 = a;
            this.g("SummaryTitleTextMarginRight");
        }
        get summaryTitleTextMarginTop() {
            return this.h7;
        }
        set summaryTitleTextMarginTop(a) {
            this.h7 = a;
            this.g("SummaryTitleTextMarginTop");
        }
        get summaryRowMarginBottom() {
            return this.hz;
        }
        set summaryRowMarginBottom(a) {
            this.hz = a;
            this.g("SummaryRowMarginBottom");
        }
        get summaryRowMarginLeft() {
            return this.h0;
        }
        set summaryRowMarginLeft(a) {
            this.h0 = a;
            this.g("SummaryRowMarginLeft");
        }
        get summaryRowMarginRight() {
            return this.h1;
        }
        set summaryRowMarginRight(a) {
            this.h1 = a;
            this.g("SummaryRowMarginRight");
        }
        get summaryRowMarginTop() {
            return this.h2;
        }
        set summaryRowMarginTop(a) {
            this.h2 = a;
            this.g("SummaryRowMarginTop");
        }
        get summaryValueTextColor() {
            return this.lv;
        }
        set summaryValueTextColor(a) {
            this.lv = a;
            this.g("SummaryValueTextColor");
        }
        get summaryValueTextFontFamily() {
            return this.lw;
        }
        set summaryValueTextFontFamily(a) {
            this.lw = a;
            this.g("SummaryValueTextFontFamily");
        }
        get summaryValueTextFontSize() {
            return this.h9;
        }
        set summaryValueTextFontSize(a) {
            this.h9 = a;
            this.g("SummaryValueTextFontSize");
        }
        get summaryValueTextFontStyle() {
            return this.lx;
        }
        set summaryValueTextFontStyle(a) {
            this.lx = a;
            this.g("SummaryValueTextFontStyle");
        }
        get summaryValueTextFontWeight() {
            return this.ly;
        }
        set summaryValueTextFontWeight(a) {
            this.ly = a;
            this.g("SummaryValueTextFontWeight");
        }
        get summaryLabelText() {
            return this.lf;
        }
        set summaryLabelText(a) {
            this.lf = a;
            this.g("SummaryLabelText");
        }
        get summaryLabelTextColor() {
            return this.lg;
        }
        set summaryLabelTextColor(a) {
            this.lg = a;
            this.g("SummaryLabelTextColor");
        }
        get summaryLabelTextFontFamily() {
            return this.lh;
        }
        set summaryLabelTextFontFamily(a) {
            this.lh = a;
            this.g("SummaryLabelTextFontFamily");
        }
        get summaryLabelTextFontSize() {
            return this.hy;
        }
        set summaryLabelTextFontSize(a) {
            this.hy = a;
            this.g("SummaryLabelTextFontSize");
        }
        get summaryLabelTextFontStyle() {
            return this.li;
        }
        set summaryLabelTextFontStyle(a) {
            this.li = a;
            this.g("SummaryLabelTextFontStyle");
        }
        get summaryLabelTextFontWeight() {
            return this.lj;
        }
        set summaryLabelTextFontWeight(a) {
            this.lj = a;
            this.g("SummaryLabelTextFontWeight");
        }
        get summaryUnitsText() {
            return this.lq;
        }
        set summaryUnitsText(a) {
            this.lq = a;
            this.g("SummaryUnitsText");
        }
        get summaryUnitsTextColor() {
            return this.lr;
        }
        set summaryUnitsTextColor(a) {
            this.lr = a;
            this.g("SummaryUnitsTextColor");
        }
        get summaryUnitsTextFontFamily() {
            return this.ls;
        }
        set summaryUnitsTextFontFamily(a) {
            this.ls = a;
            this.g("SummaryUnitsTextFontFamily");
        }
        get summaryUnitsTextFontSize() {
            return this.h8;
        }
        set summaryUnitsTextFontSize(a) {
            this.h8 = a;
            this.g("SummaryUnitsTextFontSize");
        }
        get summaryUnitsTextFontStyle() {
            return this.lt;
        }
        set summaryUnitsTextFontStyle(a) {
            this.lt = a;
            this.g("SummaryUnitsTextFontStyle");
        }
        get summaryUnitsTextFontWeight() {
            return this.lu;
        }
        set summaryUnitsTextFontWeight(a) {
            this.lu = a;
            this.g("SummaryUnitsTextFontWeight");
        }
        get badgeMarginBottom() {
            return this.g3;
        }
        set badgeMarginBottom(a) {
            this.g3 = a;
            this.g("BadgeMarginBottom");
        }
        get badgeMarginLeft() {
            return this.g4;
        }
        set badgeMarginLeft(a) {
            this.g4 = a;
            this.g("BadgeMarginLeft");
        }
        get badgeMarginRight() {
            return this.g5;
        }
        set badgeMarginRight(a) {
            this.g5 = a;
            this.g("BadgeMarginRight");
        }
        get badgeMarginTop() {
            return this.g6;
        }
        set badgeMarginTop(a) {
            this.g6 = a;
            this.g("BadgeMarginTop");
        }
        get badgeShape() {
            return this.ks;
        }
        set badgeShape(a) {
            this.ks = a;
            this.g("BadgeShape");
        }
        get layoutMode() {
            return this.le;
        }
        set layoutMode(a) {
            this.le = a;
            this.g("LayoutMode");
        }
        get unitsDisplayMode() {
            return this.l4;
        }
        set unitsDisplayMode(a) {
            this.l4 = a;
            this.g("UnitsDisplayMode");
        }
        get unitsText() {
            return this.l5;
        }
        set unitsText(a) {
            this.l5 = a;
            this.g("UnitsText");
        }
        get unitsTextColor() {
            return this.l6;
        }
        set unitsTextColor(a) {
            this.l6 = a;
            this.g("UnitsTextColor");
        }
        get unitsTextMarginBottom() {
            return this.ih;
        }
        set unitsTextMarginBottom(a) {
            this.ih = a;
            this.g("UnitsTextMarginBottom");
        }
        get unitsTextMarginLeft() {
            return this.ii;
        }
        set unitsTextMarginLeft(a) {
            this.ii = a;
            this.g("UnitsTextMarginLeft");
        }
        get unitsTextMarginRight() {
            return this.ij;
        }
        set unitsTextMarginRight(a) {
            this.ij = a;
            this.g("UnitsTextMarginRight");
        }
        get unitsTextMarginTop() {
            return this.ik;
        }
        set unitsTextMarginTop(a) {
            this.ik = a;
            this.g("UnitsTextMarginTop");
        }
        get unitsTextFontFamily() {
            return this.l7;
        }
        set unitsTextFontFamily(a) {
            this.l7 = a;
            this.g("UnitsTextFontFamily");
        }
        get unitsTextFontSize() {
            return this.ig;
        }
        set unitsTextFontSize(a) {
            this.ig = a;
            this.g("UnitsTextFontSize");
        }
        get unitsTextFontStyle() {
            return this.l8;
        }
        set unitsTextFontStyle(a) {
            this.l8 = a;
            this.g("UnitsTextFontStyle");
        }
        get unitsTextFontWeight() {
            return this.l9;
        }
        set unitsTextFontWeight(a) {
            this.l9 = a;
            this.g("UnitsTextFontWeight");
        }
        get titleTextMarginBottom() {
            return this.ib;
        }
        set titleTextMarginBottom(a) {
            this.ib = a;
            this.g("TitleTextMarginBottom");
        }
        get titleTextMarginLeft() {
            return this.ic;
        }
        set titleTextMarginLeft(a) {
            this.ic = a;
            this.g("TitleTextMarginLeft");
        }
        get titleTextMarginRight() {
            return this.id;
        }
        set titleTextMarginRight(a) {
            this.id = a;
            this.g("TitleTextMarginRight");
        }
        get titleTextMarginTop() {
            return this.ie;
        }
        set titleTextMarginTop(a) {
            this.ie = a;
            this.g("TitleTextMarginTop");
        }
        get titleTextColor() {
            return this.l0;
        }
        set titleTextColor(a) {
            this.l0 = a;
            this.g("TitleTextColor");
        }
        get titleTextFontFamily() {
            return this.l1;
        }
        set titleTextFontFamily(a) {
            this.l1 = a;
            this.g("TitleTextFontFamily");
        }
        get titleTextFontSize() {
            return this.ia;
        }
        set titleTextFontSize(a) {
            this.ia = a;
            this.g("TitleTextFontSize");
        }
        get titleTextFontStyle() {
            return this.l2;
        }
        set titleTextFontStyle(a) {
            this.l2 = a;
            this.g("TitleTextFontStyle");
        }
        get titleTextFontWeight() {
            return this.l3;
        }
        set titleTextFontWeight(a) {
            this.l3 = a;
            this.g("TitleTextFontWeight");
        }
        get labelDisplayMode() {
            return this.k9;
        }
        set labelDisplayMode(a) {
            this.k9 = a;
            this.g("LabelDisplayMode");
        }
        get labelTextColor() {
            return this.la;
        }
        set labelTextColor(a) {
            this.la = a;
            this.g("LabelTextColor");
        }
        get labelTextMarginBottom() {
            return this.hs;
        }
        set labelTextMarginBottom(a) {
            this.hs = a;
            this.g("LabelTextMarginBottom");
        }
        get labelTextMarginLeft() {
            return this.ht;
        }
        set labelTextMarginLeft(a) {
            this.ht = a;
            this.g("LabelTextMarginLeft");
        }
        get labelTextMarginRight() {
            return this.hu;
        }
        set labelTextMarginRight(a) {
            this.hu = a;
            this.g("LabelTextMarginRight");
        }
        get labelTextMarginTop() {
            return this.hv;
        }
        set labelTextMarginTop(a) {
            this.hv = a;
            this.g("LabelTextMarginTop");
        }
        get labelTextFontFamily() {
            return this.lb;
        }
        set labelTextFontFamily(a) {
            this.lb = a;
            this.g("LabelTextFontFamily");
        }
        get labelTextFontSize() {
            return this.hr;
        }
        set labelTextFontSize(a) {
            this.hr = a;
            this.g("LabelTextFontSize");
        }
        get labelTextFontStyle() {
            return this.lc;
        }
        set labelTextFontStyle(a) {
            this.lc = a;
            this.g("LabelTextFontStyle");
        }
        get labelTextFontWeight() {
            return this.ld;
        }
        set labelTextFontWeight(a) {
            this.ld = a;
            this.g("LabelTextFontWeight");
        }
    }
    DataToolTipLayerDescription.$t = /*@__PURE__*/ markType(DataToolTipLayerDescription, 'DataToolTipLayerDescription', AnnotationLayerDescription.$);
    return DataToolTipLayerDescription;
})();
